package utopp;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


/**
 * Title:        U-Topp: Projekt des ProPra WS 2000/2001
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Makrosoft
 * @author Makrosoft
 * @version 1.0
 */

public class AddDialog extends JDialog {

  String title;
  ActionListener al;
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JTextField nameFeld = new JTextField();
  JLabel textLabel = new JLabel();
  JButton okButton = new JButton();
  JButton abbrechenButton = new JButton();

  public AddDialog(String text, ActionListener a) {

    title = text;
    al = a;

    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    this.setTitle(title);
    this.setModal(true);
    textLabel.setText("Bitte geben Sie einen Namen ein:");
    this.getContentPane().setLayout(gridBagLayout1);
    okButton.setText("OK");
    okButton.setActionCommand("addDialog ok");
    okButton.addActionListener(al);
    abbrechenButton.setText("abbrechen");
    abbrechenButton.setActionCommand("addDialog abbrechen");
    abbrechenButton.addActionListener(al);
    nameFeld.setText("unbenannt");
    this.getContentPane().add(nameFeld, new GridBagConstraints(0, 1, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(10, 25, 25, 25), 250, 8));
    this.getContentPane().add(textLabel, new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 10, 25), 0, 0));
    this.getContentPane().add(okButton, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.getContentPane().add(abbrechenButton, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 0, 0));
    this.addWindowListener( new WindowAdapter() {
                                  public void windowClosing(WindowEvent e) {
                                    setVisible(false);
                                    dispose();
                                  }
                          } );
    this.pack();
    this.setResizable(false);
  }

}